<%
/**************************************************************
**
**	(C) Aquaforest Limited 2002 - 2008
**
**	FILE 
**	config_ui.inc		
** 
**	DESCRIPTION	
**	TIFF Server User Interface Configuration
**	
***************************************************************/


/* Menu and Icon Appearance */
var iconStyle="V2.0";
if(iconStyle=="V1.2")
{
	var ts_icon_dir="images_alt";
	var ts_icon_table="BGCOLOR=f1f1ec CELLPADDING=1 CELLSPACING=0";
	var menuSpacer=1;
	var menuFrameHeight=28;
}
else
if(iconStyle=="V2.0")
{	
	var ts_icon_dir="images";
	var ts_icon_table="BACKGROUND=images/icon_bkgd.png CELLPADDING=1 CELLSPACING=0";
	var menuSpacer=0;	
	var menuFrameHeight=26;  //26;	
}

/**************************************************************/
/* Generic Error Message to be displayed instead of detailed  */
/* server messages. Set to "" for detailed stack trace.	      */
/**************************************************************/
var genericErrorMessage="There is a problem displaying this page. A message has been written to the log file.";

Session["genericErrorMessage"]=genericErrorMessage;


var ts_lhs_thumbnail_width_standard="20%"; /* Pixel width or % for LHS Full Screen Mode  */
var ts_lhs_thumbnail_width_full="20%"; /* Pixel width or % for LHS Full Screen Mode */
var ts_fsc_thumbnail_width=120; /* Pixel Width for thumbnails in thumbnail layout */
var ts_lhs_thumbnails_max=10; /* Maximum Number of LHS Thumbnail Images */

var ts_bgcolor="#7AA1E6"; /* Background Color */
var ts_fgcolor="#FFFFFF"; /* Foreground [Text Color] - mainly for Thumnbail captions */
var ts_info_fgcolor="#000000"; /* Foreground [Text Color] for Info Pane */

var ts_pagetitle="Aquaforest TIFF Server"; /* Default Page Title */

var ts_use_sub_page_count=true; /* Use Page Count from page count parameter rather than querying file */

var breakInfoLine=true; /* Line Break Between File Name & # Of Pages ?*/

/**************************************************************/
/* Print Functionality - Set to True to Use PDF -             */
/* if set to false JavaScript will be used,                   */
/* but this can only print the current page                   */
/**************************************************************/
var prnt_pdf=true;

/* Print Width For JavaScript Printing */
var printWidth=650;

/**************************************************************/
/* Treatment of Unknown (ie non-Tiff) file types              */
/* If set to true, will display file in window                */
/**************************************************************/
var displayUnknownFileTypes=true;


/********************************************************************/
/* Thumnbail Memory - If Set to True, Using Thumbnails to Switch    */
/* between images will retain image settings (rotation, invert etc) */
/********************************************************************/
var thumbnailMemory=false;


/**************************************************************/
/* ANNOTATIONS MENU CONFIGURATION		                      */
/**************************************************************/

/* Set to false to disable annotations menu */
var menu_annots=true; 

/* Sticky Note */
var menu_annots_stn=true;

/* Free Text */
var menu_annots_frt=true;

/* Highlight Area */
var menu_annots_hil=true;

/* Redact */
var menu_annots_red=true;

/* Permanent Redact */
var menu_annots_perm_red=false;

/* Arrow */
var menu_annots_arr=true;

/* Stamp */
var menu_annots_sta=true;

/* Save */
var menu_annots_sav=true;

/* Assume Pages are the same size as the first annotated page */
var at_info_once=true;


/**************************************************************/
/* MENU ITEMS - Set to True/False                             */
/**************************************************************/

/* Edit Document and Related Settings */
var menu_editdoc=true;
Session("edit_arch_folder")="";
Session("lock_editdoc")="true";

/* Select Zone / Capture */
var menu_selzone=false;
var menu_capzone=false;

/* PDF */
var menu_pdf=true;

/* Save PDF */
var menu_pds=true;

/* First Page */
var menu_fpg=true;

/* Last Page */
var menu_lpg=true;

/* Page Count Box */
var menu_pgc=true;

/* Previous Page */
var menu_ppg=true;

/* Next Page */
var menu_npg=true;

/* Previous Document (When Applicable) */
var menu_pdc=true;

/* Next Document (When Applicable) */
var menu_ndc=true;

/* Fit to Width */
var menu_ftd=true;

/* Fit Window */
var menu_ftw=true;

/* Zoom In */
var menu_zoi=true;

/* Zoom Out */
var menu_zoo=true;

/* Rotate Left */
var menu_rol=true;

/* Rotate Right */
var menu_ror=true;

/* Invert */
var menu_inv=true;

/* Full Screen Thumbnails */
var menu_tfs=true;

/* LHS Thumbails */ 
var menu_tli=true;

/* LHS Annotations */ 
var menu_ali=true;

/* Double Page Display */
var menu_tpd=true;

/* Single Page Display */
var menu_spd=true;

/* Full Window */
var menu_fwd=true;

/* Zoom Selection */
var menu_zos=true;

/* Pan */
var menu_pan=true;

/* Print */
var menu_prnt=true;

/* Print Selection */
var menu_zop=true;

/* Email */

var menu_eml=false;

/* Hide Annotations */

var menu_han=true;

/* Preferences */

var menu_pre=true;




/* Annotation Form Field Limit */

var an_form_limit=10000;


/* Print Method in atf004.aspx */

var atf004_use_embed=false;


function AFencodeURIComponent(s)
{
	return(escape(s));
}

function AFdecodeURIComponent(s)
{
	return(unescape(s));
}

var at_default_height=400;
var at_default_width=750;

/***********************************************************************************/
/*	Pan Direction 
/*	Set to "reverse-y" for original reverse-y panning, otherwise set to "standard"*/
/***********************************************************************************/
var panDirection="reverse-y";  // 


%>





